Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class AbstractPolicyInterceptorProvider

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
                  org.apache.cxf.ws.policy.AbstractPolicyInterceptorProvider

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, InterceptorProvider, PolicyInterceptorProvider

    public abstract class AbstractPolicyInterceptorProvider

extends AbstractAttributedInterceptorProvider
implements PolicyInterceptorProvider

See Also:
  Serialized Form

Constructor Summary
`AbstractPolicyInterceptorProvider(java.util.Collection<javax.xml.namespace.QName> at)`
`AbstractPolicyInterceptorProvider(javax.xml.namespace.QName type)`

Method Summary
`java.util.Collection<javax.xml.namespace.QName>` | `getAssertionTypes()` Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.
`java.util.List<Interceptor>` | `provideInFaultInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideInInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideOutFaultInterceptors(Message m)`
`java.util.List<Interceptor>` | `provideOutInterceptors(Message m)`

Methods inherited from class org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
`equals, getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, hashCode, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Constructor Detail

### AbstractPolicyInterceptorProvider

    public AbstractPolicyInterceptorProvider(javax.xml.namespace.QName type)

### AbstractPolicyInterceptorProvider

    public AbstractPolicyInterceptorProvider(java.util.Collection<javax.xml.namespace.QName> at)

Method Detail

### getAssertionTypes

    public java.util.Collection<javax.xml.namespace.QName> getAssertionTypes()

  Description copied from interface: `PolicyInterceptorProvider`
  Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.

  Specified by:
    `getAssertionTypes` in interface `PolicyInterceptorProvider`
  Returns:
    collection of QNames of known assertion types

### provideInFaultInterceptors

    public java.util.List<Interceptor> provideInFaultInterceptors(Message m)

  Specified by:
    `provideInFaultInterceptors` in interface `PolicyInterceptorProvider`

### provideInInterceptors

    public java.util.List<Interceptor> provideInInterceptors(Message m)

  Specified by:
    `provideInInterceptors` in interface `PolicyInterceptorProvider`

### provideOutFaultInterceptors

    public java.util.List<Interceptor> provideOutFaultInterceptors(Message m)

  Specified by:
    `provideOutFaultInterceptors` in interface `PolicyInterceptorProvider`

### provideOutInterceptors

    public java.util.List<Interceptor> provideOutInterceptors(Message m)

  Specified by:
    `provideOutInterceptors` in interface `PolicyInterceptorProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF